Subject: bug#72278: 29.4; Proced reports incorrect results with 16KB page size

From: Stefan Kangas <[email-masked]>
Date: Fri, 26 Jul 2024 18:33:09 -0400

Paul Eggert <[email-masked]> writes:

> On 2024-07-25 02:55, Stefan Kangas wrote:
>> On Linux, page sizes can vary per process ("multiple page size
>> support").  Should we bother with that?
>
> I thought that support didn't change what getpagesize returns or what
> /proc/PID/stat reports, at least not in mainline Linux kernels. Am I
> missing something?

I don't know to be honest, which is why I'm asking.  If you think using
getpagesize is all that we need then that's good enough for me.